import React from 'react'
import { Route, Redirect, RouteProps } from 'react-router-dom'

import { useUserContext } from 'contexts'

interface IProtectedRoute extends RouteProps {
  children: React.ReactNode
}

function ProtectedRoute({ children, ...rest }: IProtectedRoute) {
  // Simple protected route component
  // TODO: redirect back to the requested site after login
  const { user } = useUserContext()
  return (
    <Route
      {...rest}
      /* eslint-disable arrow-body-style */
      render={() => {
        return user.auth ? children : <Redirect to="/" />
      }}
      /* eslint-enable arrow-body-style */
    />
  )
}

export default ProtectedRoute
