/**
 * This is data about the guest that the sponsor has entered when the invitation was created
 */
import AuthenticationMethod from './authenticationMethod'

export type ContactInformationBySponsor = {
  first_name: string
  last_name: string
  ou_name_nb: string
  ou_name_en: string
  role_name_en: string
  role_name_nb: string
  role_start: string
  role_end: string
  comment?: string

  // These fields are in the form, but it is not expected that
  // they are set, with the exception of e-mail, when the guest
  // first follows the invite link
  email?: string
  mobile_phone?: string
  fnr?: string
  passport?: string

  user_information_source: AuthenticationMethod
}
