const OLD_ENV = process.env

beforeEach(() => {
  jest.resetModules() // Most important - it clears the cache
  process.env = { ...OLD_ENV } // Make a copy
})
afterAll(() => {
  process.env = OLD_ENV // Restore old environment
})

test('Get theme uio', async () => {
  process.env.REACT_APP_THEME = 'uio'
  // eslint-disable-next-line global-require
  const getTheme = require('./index').default
  expect(getTheme().palette.primary.main).toEqual('#4977af')
})

test('Get theme uib', async () => {
  process.env.REACT_APP_THEME = 'uib'
  // eslint-disable-next-line global-require
  const getTheme = require('./index').default
  expect(getTheme().palette.primary.main).toEqual('#ba000d')
})

test('Get theme default when set', async () => {
  process.env.REACT_APP_THEME = 'default'
  // eslint-disable-next-line global-require
  const getTheme = require('./index').default
  expect(getTheme().palette.primary.main).toEqual('#01579B')
})

test('Get theme default when unknown', async () => {
  process.env.REACT_APP_THEME = 'unknown'
  // eslint-disable-next-line global-require
  const getTheme = require('./index').default
  expect(getTheme().palette.primary.main).toEqual('#01579B')
})

export {}
