import os
import signal

from django.conf import settings
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    help = "Stop notification publisher"

    def handle(self, *args, **options):
        try:
            with open(
                settings.NOTIFICATION_PUBLISHER["daemon"]["pid_file"],
                "r",
                encoding="utf-8",
            ) as f:
                pid = int(f.read().strip())

            os.kill(pid, signal.SIGINT)
        except FileNotFoundError:
            pass
