from django.urls import re_path, path

from rest_framework.routers import DefaultRouter

from gregui.api.views.invitation import (
    CheckInvitationView,
    CreateInvitationView,
    InvitedGuestView,
)
from gregui.api.views.roletypes import RoleTypeViewSet
from gregui.api.views.unit import UnitsViewSet

router = DefaultRouter(trailing_slash=False)

urlpatterns = router.urls
urlpatterns += [
    re_path(r"roletypes/$", RoleTypeViewSet.as_view(), name="role-types"),
    re_path(r"units/$", UnitsViewSet.as_view(), name="units"),
    path("invited/", InvitedGuestView.as_view(), name="invited-info"),
    path("invited/<uuid>", CheckInvitationView.as_view(), name="invite-verify"),
    path("invite/", CreateInvitationView.as_view(), name="invite-create"),
]
